#include <python_ngstd.hpp>
#include "fem.hpp"
#include "ArgumentMarker.hpp"

namespace ngfem 
{
	void ExportArgumentMarkers(py::module m)
	{
		py::class_<ArgumentMarker, shared_ptr<ArgumentMarker>, CoefficientFunction>
			(m, "ArgumentMarker", "")
			.def(py::init<>())
			;

		py::class_<XArgumentMarker, shared_ptr<XArgumentMarker>, ArgumentMarker>
			(m, "XArgumentMarker", "")
			.def(py::init<>())
			;

		py::class_<YArgumentMarker, shared_ptr<YArgumentMarker>, ArgumentMarker>
			(m, "YArgumentMarker", "")
			.def(py::init<>())
			;
	}
}
